Subject: Re: question on FSL_EMB perf

From: Peter Zijlstra <[email-masked]>
Date: Wed, 10 Jun 2015 23:14:58 +0200

On Wed, 2015-06-10 at 15:13 -0500, Scott Wood wrote:

> What sort of "nesting nonsense" would we get on ppc32?  I wasn't=20
> trying to say that the pseudo-NMIs didn't count -- I was pointing out=20
> that we don't even have that on ppc32.

Oh, I was not aware ppc32 did not have that.

> > # git grep nmi_enter arch/powerpc/
> > arch/powerpc/perf/core-book3s.c:                nmi_enter();
> > arch/powerpc/perf/core-fsl-emb.c:               nmi_enter();
>=20
> nmi_enter() only gets called when perf_intr_is_nmi() returns non-zero,=
=20
> which only happens on ppc64.

ok, so fsl-emb is ppc32 and ppc64, not confusing at all this stuff.